$(function(){
$("#range-selector").dxRangeSelector({
margin: {
left: 15,
right: 15,
top: 50
},
scale: {
minorTickInterval: 0.5,
tickInterval: 1,
label: {
customizeText: function () {
return this.valueText + " s";
}
}
},
sliderMarker: {
visible: false
},
background: {
color: "#808080"
},
dataSource: [{x: 0, y: 15},
{x: 1, y: -1},
{x: 2, y: 10},
{x: 3, y: -3},
{x: 4, y: 16},
{x: 5, y: 0},
{x: 6, y: 9},
{x: 7, y: 3},
{x: 8, y: 15},
{x: 9, y: -1},
{x: 10, y: 10},
{x: 11, y: -3},
{x: 12, y: 16},
{x: 13, y: 0},
{x: 14, y: 9},
{x: 15, y: 3},
{x: 16, y: 13}],
chart: {
series: {
color: "#ffa500",
width: 3,
type: "line",
argumentField: "x",
valueField: "y"
},
topIndent: 0.05,
bottomIndent: 0.05
},
value: [0, 5],
title: "Select a Range in the CPU Usage History"
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/20.2.4/js/dx.all.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="range-selector"></div>
</div>
</body>
</html>
#range-selector {
height: 270px;
}

import React from 'react';
import RangeSelector, {
Margin, Background, Scale, Label, SliderMarker, Chart, Series,
} from 'devextreme-react/range-selector';
import { dataSource } from './data.js';
const defaultValue = [0, 5];
function App() {
return (
<RangeSelector
id="range-selector"
title="Select a Range in the CPU Usage History"
dataSource={dataSource}
defaultValue={defaultValue}
>
<Margin left={15} right={15} top={50} />
<Background color="#808080" />
<Scale minorTickInterval={0.5} tickInterval={1}>
<Label customizeText={format} />
</Scale>
<SliderMarker visible={false} />
<Chart topIndent={0.05} bottomIndent={0.05}>
<Series argumentField="x" valueField="y" color="#ffa500" width={3} type="line" />
</Chart>
</RangeSelector>
);
}
function format({ valueText }) {
return `${valueText} s`;
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="dx-theme" data-theme="generic.light" href="https://cdn3.devexpress.com/jslib/22.2.3/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#range-selector {
height: 270px;
}
export const dataSource = [
{ x: 0, y: 15 },
{ x: 1, y: -1 },
{ x: 2, y: 10 },
{ x: 3, y: -3 },
{ x: 4, y: 16 },
{ x: 5, y: 0 },
{ x: 6, y: 9 },
{ x: 7, y: 3 },
{ x: 8, y: 15 },
{ x: 9, y: -1 },
{ x: 10, y: 10 },
{ x: 11, y: -3 },
{ x: 12, y: 16 },
{ x: 13, y: 0 },
{ x: 14, y: 9 },
{ x: 15, y: 3 },
{ x: 16, y: 13 },
];
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.3/cjs',
'devextreme-react': 'npm:devextreme-react@22.2.3',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.18/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.65/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.37/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.7.1/standalone.js',
'prettier/parser-html': 'npm:prettier@2.7.1/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);

<dx-range-selector
id="range-selector"
[value]="[0, 5]"
title="Select a Range in the CPU Usage History"
[dataSource]="dataSource">
<dxo-margin [top]="50" [left]="15" [right]="15"></dxo-margin>
<dxo-background color="#808080"></dxo-background>
<dxo-scale
[minorTickInterval]="0.5"
[tickInterval]="1">
<dxo-label [customizeText]="customizeText"></dxo-label>
</dxo-scale>
<dxo-slider-marker [visible]="false"></dxo-slider-marker>
<dxo-chart
[topIndent]="0.05"
[bottomIndent]="0.05">
<dxi-series
color="#ffa500"
[width]="3"
type="line"
argumentField="x"
valueField="y">
</dxi-series>
</dxo-chart>
</dx-range-selector>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxRangeSelectorModule } from 'devextreme-angular';
if(!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css']
})
export class AppComponent {
dataSource: any[];
constructor() {
this.dataSource = [
{x: 0, y: 15},
{x: 1, y: -1},
{x: 2, y: 10},
{x: 3, y: -3},
{x: 4, y: 16},
{x: 5, y: 0},
{x: 6, y: 9},
{x: 7, y: 3},
{x: 8, y: 15},
{x: 9, y: -1},
{x: 10, y: 10},
{x: 11, y: -3},
{x: 12, y: 16},
{x: 13, y: 0},
{x: 14, y: 9},
{x: 15, y: 3},
{x: 16, y: 13}
];
}
customizeText(value) {
return value.valueText + " s";
}
}
@NgModule({
imports: [
BrowserModule,
DxRangeSelectorModule
],
declarations: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep #range-selector {
height: 270px;
}
// In real applications, you should not transpile code in the browser. You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
System.config({
transpiler: 'ts',
typescriptOptions: {
module: "system",
emitDecoratorMetadata: true,
experimentalDecorators: true
},
meta: {
'typescript': {
"exports": "ts"
},
'devextreme/localization.js': {
"esModule": true
}
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@3.5.3/lib/typescript.js',
'@angular': 'npm:@angular',
'tslib': 'npm:tslib@2.1.0/tslib.js',
'rxjs': 'npm:rxjs@6.4.0',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.26.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.6',
'jszip': 'npm:jszip@3.6.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.10.3/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.18',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.24',
'devextreme-angular': 'npm:devextreme-angular@20.2.6',
'preact': 'npm:preact@10.5.13/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.13/hooks/dist/hooks.js'
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
packageConfigPaths: [
"npm:@angular/*/package.json",
"npm:@angular/common/*/package.json",
"npm:rxjs/package.json",
"npm:rxjs/operators/package.json",
"npm:devextreme-angular/*/package.json",
"npm:devextreme-angular/ui/*/package.json",
"npm:devextreme-angular/package.json",
"npm:devexpress-diagram/package.json",
"npm:devexpress-gantt/package.json",
]
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.10.2/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import('app').catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

<template>
<dx-range-selector
id="range-selector"
:data-source="dataSource"
v-model="range"
title="Select a Range in the CPU Usage History"
>
<dx-margin
:left="15"
:right="15"
:top="50"
/>
<dx-scale
:minor-tick-interval="0.5"
:tick-interval="1"
>
<dx-label :customize-text="customizeText"/>
</dx-scale>
<dx-slider-marker :visible="false"/>
<dx-background color="#808080"/>
<dx-chart
:top-indent="0.05"
:bottom-indent="0.05"
>
<dx-series
:width="3"
color="#ffa500"
type="line"
argument-field="x"
value-field="y"
/>
</dx-chart>
</dx-range-selector>
</template>
<script>
import { dataSource } from './data.js';
import {
DxRangeSelector,
DxMargin,
DxScale,
DxLabel,
DxSliderMarker,
DxBackground,
DxChart,
DxSeries
} from 'devextreme-vue/range-selector';
export default {
components: {
DxRangeSelector,
DxMargin,
DxScale,
DxLabel,
DxSliderMarker,
DxBackground,
DxChart,
DxSeries
},
data() {
return {
dataSource,
range: [0, 5]
};
},
methods: {
customizeText({ valueText }) {
return `${valueText} s`;
}
}
};
</script>
<style scoped>
#range-selector {
height: 270px;
}
</style>
import Vue from 'vue';
import App from './App.vue';
new Vue({
el: '#app',
components: { App },
template: '<App/>'
});
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/19.2.4/css/dx.common.css" />
<link rel="dx-theme" data-theme="generic.light" href="https://cdn3.devexpress.com/jslib/19.2.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app">
</div>
</div>
</body>
</html>
export const dataSource = [
{ x: 0, y: 15 },
{ x: 1, y: -1 },
{ x: 2, y: 10 },
{ x: 3, y: -3 },
{ x: 4, y: 16 },
{ x: 5, y: 0 },
{ x: 6, y: 9 },
{ x: 7, y: 3 },
{ x: 8, y: 15 },
{ x: 9, y: -1 },
{ x: 10, y: 10 },
{ x: 11, y: -3 },
{ x: 12, y: 16 },
{ x: 13, y: 0 },
{ x: 14, y: 9 },
{ x: 15, y: 3 },
{ x: 16, y: 13 }
];
System.config({
transpiler: 'plugin-babel',
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
vue: 'npm:vue@2.6.3/dist/vue.esm.browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@latest/index.js',
'devextreme': 'npm:devextreme@19.2',
'devextreme-vue': 'npm:devextreme-vue@19.2',
jszip: 'npm:jszip@3.1.3/dist/jszip.min.js',
'quill': 'npm:quill@1.3.7/dist/quill.js',
'devexpress-diagram': 'npm:devexpress-diagram',
'devexpress-gantt': 'npm:devexpress-gantt',
'plugin-babel': 'npm:systemjs-plugin-babel@0/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0/systemjs-babel-browser.js'
},
meta: {
'*.vue': {
loader: 'vue-loader'
}
},
packages: {
'devextreme-vue': {
main: 'index.js'
},
'devextreme': {
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true
}
});